Subject: [Mainline/linux-next-netdev/net-next/scsi]Dlpar remove, drmgr phb and pci remove operations are failing

From: Tasmiya Nalatwad <[email-masked]>
Date: Tue, 2 Jan 2024 17:05:31 +0530

Greetings,

  [Mainline/linux-next-netdev/net-next/scsi]Dlpar remove, drmgr phb and 
pci remove operations are failing

command ---> chhwres -r io --rsubtype slot -m "managed system name" -o r 
--id 6 -l 21030014

output --->

HSCL2929 The dynamic removal of I/O resources failed: The I/O slot 
dynamic partitioning operation failed.  Here are the I/O slot IDs that 
failed and the reasons for failure:

Jan 02 02:20:22 caDlparCommand:execv to drmgr
Validating PHB DLPAR capability...yes.
Could not find drc index 0x20000014 to add to phb list
There are no DR capable slots on this system
Could not find PHB PHB 20

The OS return code is 3.

-- 
Regards,
Tasmiya Nalatwad
IBM Linux Technology Center